import Logger from '@foundationjs/logger';
import { PersistenceConfiguration } from '@foundationjs/typedefs/persistence';
import 'elasticsearch';
export declare const Types: any;
/**
 * Class Persistence: initialize a Persistence configuration for a Foundation App.
 */
export default class Persistence {
    logger: Logger;
    schema: Object;
    io: any;
    typeComposers: Object;
    Mutation: Object;
    Query: Object;
    /**
     * Constructor
     * @param {PersistenceConfiguration} config - Optional config object
     */
    constructor(config?: PersistenceConfiguration);
    /**
     * Function configuring the Persistence instance
     * @param {PersistenceConfiguration} config - Configuration
     * @returns {boolean} - Successful initialization
     */
    init(config: PersistenceConfiguration): Promise<{}>;
    connect({ endpoint }: {
        endpoint: string;
    }): Promise<{}>;
    configureIO: ({ io }: {
        io: any;
    }) => void;
}
